<?php
	$rdata = array_map('to_utf8', array_map('nl2br', array_map('html_attr_tags_ok', $rdata)));
	$jdata = array_map('to_utf8', array_map('nl2br', array_map('html_attr_tags_ok', $jdata)));
?>
<script>
	$j(function(){
		var tn = 'paiements';

		/* data for selected record, or defaults if none is selected */
		var data = {
			matricule: <?php echo json_encode(array('id' => $rdata['matricule'], 'value' => $rdata['matricule'], 'text' => $jdata['matricule'])); ?>,
			nom_prenom: <?php echo json_encode($jdata['nom_prenom']); ?>,
			banque: <?php echo json_encode($jdata['banque']); ?>,
			compte: <?php echo json_encode($jdata['compte']); ?>,
			type_paiement: <?php echo json_encode(array('id' => $rdata['type_paiement'], 'value' => $rdata['type_paiement'], 'text' => $jdata['type_paiement'])); ?>,
			beneficiaire: <?php echo json_encode(array('id' => $rdata['beneficiaire'], 'value' => $rdata['beneficiaire'], 'text' => $jdata['beneficiaire'])); ?>,
			banque_beneficiaire: <?php echo json_encode($jdata['banque_beneficiaire']); ?>,
			compte_beneficiaire: <?php echo json_encode($jdata['compte_beneficiaire']); ?>
		};

		/* initialize or continue using AppGini.cache for the current table */
		AppGini.cache = AppGini.cache || {};
		AppGini.cache[tn] = AppGini.cache[tn] || AppGini.ajaxCache();
		var cache = AppGini.cache[tn];

		/* saved value for matricule */
		cache.addCheck(function(u, d){
			if(u != 'ajax_combo.php') return false;
			if(d.t == tn && d.f == 'matricule' && d.id == data.matricule.id)
				return { results: [ data.matricule ], more: false, elapsed: 0.01 };
			return false;
		});

		/* saved value for matricule autofills */
		cache.addCheck(function(u, d){
			if(u != tn + '_autofill.php') return false;

			for(var rnd in d) if(rnd.match(/^rnd/)) break;

			if(d.mfk == 'matricule' && d.id == data.matricule.id){
				$j('#nom_prenom' + d[rnd]).html(data.nom_prenom);
				$j('#banque' + d[rnd]).html(data.banque);
				$j('#compte' + d[rnd]).html(data.compte);
				return true;
			}

			return false;
		});

		/* saved value for type_paiement */
		cache.addCheck(function(u, d){
			if(u != 'ajax_combo.php') return false;
			if(d.t == tn && d.f == 'type_paiement' && d.id == data.type_paiement.id)
				return { results: [ data.type_paiement ], more: false, elapsed: 0.01 };
			return false;
		});

		/* saved value for beneficiaire */
		cache.addCheck(function(u, d){
			if(u != 'ajax_combo.php') return false;
			if(d.t == tn && d.f == 'beneficiaire' && d.id == data.beneficiaire.id)
				return { results: [ data.beneficiaire ], more: false, elapsed: 0.01 };
			return false;
		});

		/* saved value for beneficiaire autofills */
		cache.addCheck(function(u, d){
			if(u != tn + '_autofill.php') return false;

			for(var rnd in d) if(rnd.match(/^rnd/)) break;

			if(d.mfk == 'beneficiaire' && d.id == data.beneficiaire.id){
				$j('#banque_beneficiaire' + d[rnd]).html(data.banque_beneficiaire);
				$j('#compte_beneficiaire' + d[rnd]).html(data.compte_beneficiaire);
				return true;
			}

			return false;
		});

		cache.start();
	});
</script>

